FROM public.ecr.aws/lambda/python:3.11

WORKDIR /var/task

COPY backend/magic_plan/handler/requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY utils/ utils/
COPY backend/ backend/
COPY datatypes/ datatypes/

CMD ["backend.magic_plan.handler.handler"]
